Create a payment refund
import requests
url = "https://api.trysynch.com/Payment/Refund/{paymentRequestId}"
payload = {
"amount": 123,
"description": "<string>",
"attachment": {
"fileName": "<string>",
"fileData": "<string>",
"fileType": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const url = 'https://api.trysynch.com/Payment/Refund/{paymentRequestId}';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 123,
description: '<string>',
attachment: {fileName: '<string>', fileData: '<string>', fileType: '<string>'}
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));curl --request POST \
--url https://api.trysynch.com/Payment/Refund/{paymentRequestId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"description": "<string>",
"attachment": {
"fileName": "<string>",
"fileData": "<string>",
"fileType": "<string>"
}
}
'using RestSharp;
var options = new RestClientOptions("https://api.trysynch.com/Payment/Refund/{paymentRequestId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"amount\": 123,\n \"description\": \"<string>\",\n \"attachment\": {\n \"fileName\": \"<string>\",\n \"fileData\": \"<string>\",\n \"fileType\": \"<string>\"\n }\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
falserequire 'uri'
require 'net/http'
url = URI("https://api.trysynch.com/Payment/Refund/{paymentRequestId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": 123,\n \"description\": \"<string>\",\n \"attachment\": {\n \"fileName\": \"<string>\",\n \"fileData\": \"<string>\",\n \"fileType\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_bodyPayment
Create a payment refund
Creates a refund for previous payment
POST
/
Payment
/
Refund
/
{paymentRequestId}
Create a payment refund
import requests
url = "https://api.trysynch.com/Payment/Refund/{paymentRequestId}"
payload = {
"amount": 123,
"description": "<string>",
"attachment": {
"fileName": "<string>",
"fileData": "<string>",
"fileType": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const url = 'https://api.trysynch.com/Payment/Refund/{paymentRequestId}';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 123,
description: '<string>',
attachment: {fileName: '<string>', fileData: '<string>', fileType: '<string>'}
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));curl --request POST \
--url https://api.trysynch.com/Payment/Refund/{paymentRequestId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"description": "<string>",
"attachment": {
"fileName": "<string>",
"fileData": "<string>",
"fileType": "<string>"
}
}
'using RestSharp;
var options = new RestClientOptions("https://api.trysynch.com/Payment/Refund/{paymentRequestId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"amount\": 123,\n \"description\": \"<string>\",\n \"attachment\": {\n \"fileName\": \"<string>\",\n \"fileData\": \"<string>\",\n \"fileType\": \"<string>\"\n }\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
falserequire 'uri'
require 'net/http'
url = URI("https://api.trysynch.com/Payment/Refund/{paymentRequestId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": 123,\n \"description\": \"<string>\",\n \"attachment\": {\n \"fileName\": \"<string>\",\n \"fileData\": \"<string>\",\n \"fileType\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
JWT Authorization header using the Bearer scheme.
Use /auth/token to obtain access token.
Enter 'Bearer' [space] and then your token in the text input below.
Example: 'Bearer eyJhbGci...'
Path Parameters
Body
application/jsontext/jsonapplication/*+json
Response
200
OK
Last modified on July 21, 2026
Was this page helpful?
⌘I